GNU bug report logs - #70121
Magit autoloads missing in Emacs 29.3

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Jake <jforst.mailman@HIDDEN>; Done: Clément Lassieur <clement@HIDDEN>; Maintainer for guix is bug-guix@HIDDEN.

Message received at 70121-done <at> debbugs.gnu.org:


Received: (at 70121-done) by debbugs.gnu.org; 3 Apr 2024 10:40:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 03 06:40:37 2024
Received: from localhost ([127.0.0.1]:57138 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rry2n-0006Y0-8L
	for submit <at> debbugs.gnu.org; Wed, 03 Apr 2024 06:40:37 -0400
Received: from out5-smtp.messagingengine.com ([66.111.4.29]:60941)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <clement@HIDDEN>) id 1rry2k-0006XI-Qm
 for 70121-done <at> debbugs.gnu.org; Wed, 03 Apr 2024 06:40:36 -0400
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.nyi.internal (Postfix) with ESMTP id 59F845C0079;
 Wed,  3 Apr 2024 06:40:24 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute5.internal (MEProxy); Wed, 03 Apr 2024 06:40:24 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=lassieur.org; h=
 cc:cc:content-transfer-encoding:content-type:content-type:date
 :date:from:from:in-reply-to:in-reply-to:message-id:mime-version
 :references:reply-to:subject:subject:to:to; s=fm1; t=1712140824;
 x=1712227224; bh=0W0gPxwrD0kW5v4jrrppBMXKmiXZj4y8FKtJEH1HCis=; b=
 OBESSeiJi0PP9fFpwU6APcphbd+bz+Zy1LSLBetjSxuMy6lo7pO16rALKZbEHKUS
 IGgxixN5dxjXALrx5Zh9bIUuLTlyY/mlvrBroK6mmYqeGNU8rNSP8IkUYDW1SKcl
 hluszazIJ+q93TYPKAjM49+YB8CZfGN6PsaLWO3BLq/uJdGnjc4CQkCkIHJJ5O+c
 1F+Z1JcuVQvQfXVYeZsu1ZLv7/U3DFbE4YyHstKmWonCpZsTklNOayQ6fcic5Mjf
 RnP7RkZ2BNqh13VB301Kl8zhPVb/reBDukAJL1//3Y8wvwtZigmOEruRSh6At+Li
 P/ArJaGukIVZWJiQm1rKjQ==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:cc:content-transfer-encoding
 :content-type:content-type:date:date:feedback-id:feedback-id
 :from:from:in-reply-to:in-reply-to:message-id:mime-version
 :references:reply-to:subject:subject:to:to:x-me-proxy:x-me-proxy
 :x-me-sender:x-me-sender:x-sasl-enc; s=fm2; t=1712140824; x=
 1712227224; bh=0W0gPxwrD0kW5v4jrrppBMXKmiXZj4y8FKtJEH1HCis=; b=v
 aqUSNlzv14KY0nt/cQLBgYBgGczSV9n3ns6AjEN7ussZN3CmincyMjEaUV6QtYN4
 H2LmdHuCVTSTY1dFqrgrLCwZ3fi0EhnMy0XtwIVKoNemvZKF4MBdQYmfPglmbOKT
 OKsy69qCvtRckDn5oux4pbyTzQSsvUqFeW4ZdCeJPpw+bOGDJdW+q5rI6otbHuEX
 oH8J9UBRCvvZVREburD0QtySsLd9x6lz+bW3JqxYtyI4vYrjC/nrAnjiojuw2P2G
 ScTY6tA+wB4tYcBwKxZh5Y8XdLUJBh/j3Gep65x6BLG9q9GjNRTy15udS11pcHKD
 eFk+XnBJa1CADQhKDe98w==
X-ME-Sender: <xms:GDINZqsdoUz1U4nLejWjLAh8ZrnoO_opnSi4mmTOFIC5_8mRn4GWRA>
 <xme:GDINZvdf20xk5AXIHdyelbIGN5DdIM59vqSTNSVM2XN0bEc6NRMatAha9GnINuPws
 A7B2P_T7X0-bAXfNEs>
X-ME-Received: <xmr:GDINZlwetHJvMzRoXuV6jX51MPfkmMtcAXSuepQZQg6riT2CZf0gfQ>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvledrudefhedgtddvucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhephffvvefujghffffkfgggtgfgsehtqhertddtreejnecuhfhrohhmpeevlhor
 mhgvnhhtucfnrghsshhivghurhcuoegtlhgvmhgvnhhtsehlrghsshhivghurhdrohhrgh
 eqnecuggftrfgrthhtvghrnhepieduueehveeitdelleehieevuddtjefgvefhvdetvddu
 lefhtdehvddvtdeiheeknecuffhomhgrihhnpehgnhhurdhorhhgnecuvehluhhsthgvrh
 fuihiivgeptdenucfrrghrrghmpehmrghilhhfrhhomheptghlvghmvghntheslhgrshhs
 ihgvuhhrrdhorhhg
X-ME-Proxy: <xmx:GDINZlMBq7OWBXrV7mXrB1dnd9XviI9ZVf-QiZKJn1ViU1TG0wxSzA>
 <xmx:GDINZq_mx5FQjA0InIwf0VqLxQ-GAgzD54Yie2qtJtONmTv02P7q4g>
 <xmx:GDINZtUOmZdtnBdbWuXCHUO7UgoSGgB_uzAdcwykwkspLG50qdG0IA>
 <xmx:GDINZjdAeORCDiZ0Dr6Y4qo8c2pdJYpqi6a5_7ySS1lRStBXvGJ6Vg>
 <xmx:GDINZhaaYvD2bfUy_uzslWWIxA0b9CrNvnZzPfNQFbQSK0MHjRpWvDODTYoB>
Feedback-ID: i4c21472a:Fastmail
Received: by mail.messagingengine.com (Postfix) with ESMTPA; Wed,
 3 Apr 2024 06:40:22 -0400 (EDT)
From: =?utf-8?Q?Cl=C3=A9ment_Lassieur?= <clement@HIDDEN>
To: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Subject: Re: bug#70121: [PATCH] gnu: emacs-magit: Fix generation of autoloads.
In-Reply-To: <871q7m4u7y.fsf@HIDDEN> (=?utf-8?Q?=22Cl=C3=A9ment?=
 Lassieur"'s message of "Wed, 03 Apr 2024 12:27:13 +0200")
References: <CAJqVjv_kC33CGqKUD_Tf8264gnJPPy3ML61iGmD5nF_6QL4dBg@HIDDEN>
 <64e17caf531cefa38b6eddadf89021107efcff2c.1711986763.git.liliana.prikler@HIDDEN>
 <871q7m4u7y.fsf@HIDDEN>
Date: Wed, 03 Apr 2024 12:40:20 +0200
Message-ID: <87ttkienl7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 70121-done
Cc: Jake <jforst.mailman@HIDDEN>, 70121-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Wed, Apr 03 2024, Cl=C3=A9ment Lassieur wrote:

> On Mon, Apr 01 2024, Liliana Marie Prikler wrote:
>
>> * gnu/packages/emacs-xyz.scm (emacs-magit)[#:phases]: Replace =E2=80=98m=
ake-autoloads=E2=80=99
>> like the others.
>>
>> Fixes: Magit autoloads are missing <https://bugs.gnu.org/70121>
>> ---
>
> Hi,
>
> Tested, looks good to me.

Pushed, thanks.




Notification sent to Jake <jforst.mailman@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Clément Lassieur <clement@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 70121 <at> debbugs.gnu.org:


Received: (at 70121) by debbugs.gnu.org; 3 Apr 2024 10:27:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 03 06:27:32 2024
Received: from localhost ([127.0.0.1]:57125 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrxq7-0002fg-2i
	for submit <at> debbugs.gnu.org; Wed, 03 Apr 2024 06:27:31 -0400
Received: from out5-smtp.messagingengine.com ([66.111.4.29]:45033)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <clement@HIDDEN>) id 1rrxq4-0002ex-6k
 for 70121 <at> debbugs.gnu.org; Wed, 03 Apr 2024 06:27:29 -0400
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.nyi.internal (Postfix) with ESMTP id 6F5535C005C;
 Wed,  3 Apr 2024 06:27:18 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute5.internal (MEProxy); Wed, 03 Apr 2024 06:27:18 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=lassieur.org; h=
 cc:cc:content-transfer-encoding:content-type:content-type:date
 :date:from:from:in-reply-to:in-reply-to:message-id:mime-version
 :references:reply-to:subject:subject:to:to; s=fm1; t=1712140038;
 x=1712226438; bh=V9d2kgoAsI0OlFxgg89hI1TYsDEeSU1e6rtOKXIpEYU=; b=
 lbYBigPG1pMCt5nScy+w7nsvKOGBsNyjFZHdneBb7OaPyA/4AMpjcQpfbFO4UxxR
 k/PlD7JSiyL4O5sQ/zGrx2qE7S/aoqpnI1Qw2OVvgdOktg1MHjcgcKxRIGLIFqUD
 cHO3WnEiMgCNdPlQ5c11ILsxGoSmQOqFLWOgfWpjUPU73QzXx3ImyIJGWYEClNRj
 xwK/0eRdRaxajQTGntYxoNi39iprF044Cs2JAu++bqeCDWs6MTf6HEY6wunoTNhL
 XV0m0KePaWbldr54wbfwPPo4UJr5d2Wfhx8rrTfNACGggrHtb84a4zPgPhuC9wRE
 ToCiVRIQnCVGeGlYBB4ESQ==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:cc:content-transfer-encoding
 :content-type:content-type:date:date:feedback-id:feedback-id
 :from:from:in-reply-to:in-reply-to:message-id:mime-version
 :references:reply-to:subject:subject:to:to:x-me-proxy:x-me-proxy
 :x-me-sender:x-me-sender:x-sasl-enc; s=fm2; t=1712140038; x=
 1712226438; bh=V9d2kgoAsI0OlFxgg89hI1TYsDEeSU1e6rtOKXIpEYU=; b=V
 BfA4CsRYOkGbqZqN9yfnlg7miaxKA4SDjBmV2pYIozzJGarhry0yicmcgP0nTEg2
 GdLJfbgmQgPzlw86DRZ95JvKmnmquxvjsd7zGHRvSiw8xboQpFnnFsFtvt7irE5U
 r2FItCYRIY89VBYoOd8HObmIuUf6JCuBuI96ceAhll2gwV7GlOx7ua/1bGLEKw/A
 TJQh61TrK3b5cbLJozGo7iOLvF2INX41O1I8caOX2R6oZg5trKsKUMtNawf95jHR
 VHMNk0V3s+oL+2jiaVvD94Al0bCQYALZMrwTk7connfdHf+CF99F2AzuyM/8thL6
 uqDh3t1IKVYp3UZMp6OSw==
X-ME-Sender: <xms:Bi8NZoC8B-qh82pHG9SajvJG67HHVvWCl_czJrYoRjo458bLh9N-0Q>
 <xme:Bi8NZqhenKY_SwaM-R8mxivKerSJ0D2DC8xJQvIiHSggE5QgssaoXLb8aBVVXmcVY
 C-JJUV_Y6bQPxir2Kc>
X-ME-Received: <xmr:Bi8NZrmV31fJ1aSVs8Fy6YEWfScIFCiAtaqEFbJWjuwFeBoymFMHtQ>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvledrudefhedgtdduucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhephffvvefujghffffkfgggtgfgsehtqhertddtreejnecuhfhrohhmpeevlhor
 mhgvnhhtucfnrghsshhivghurhcuoegtlhgvmhgvnhhtsehlrghsshhivghurhdrohhrgh
 eqnecuggftrfgrthhtvghrnhepieduueehveeitdelleehieevuddtjefgvefhvdetvddu
 lefhtdehvddvtdeiheeknecuffhomhgrihhnpehgnhhurdhorhhgnecuvehluhhsthgvrh
 fuihiivgeptdenucfrrghrrghmpehmrghilhhfrhhomheptghlvghmvghntheslhgrshhs
 ihgvuhhrrdhorhhg
X-ME-Proxy: <xmx:Bi8NZuxhJgQFehxev7OBf672idUH9o9SWKfNQAm2kIYJjM8SScwONg>
 <xmx:Bi8NZtR9JWqE0r77miHD8rd3UPyPDeTKfCkkTCOGFlrN7nmULmJpdQ>
 <xmx:Bi8NZpanWTmmiJSBWuh2qYmR8zFLKVcXuX72lMCKTie6b51c5sSRiw>
 <xmx:Bi8NZmSwovziAn-Vp0i2mU2ziPicDPtVP_abdNsMR0KLT3IdrfGAAw>
 <xmx:Bi8NZvcp-1vzpedXTkm7UrVD3-gyVblQgmuhlGsKXEonNL6O2wN4WIthsqAq>
Feedback-ID: i4c21472a:Fastmail
Received: by mail.messagingengine.com (Postfix) with ESMTPA; Wed,
 3 Apr 2024 06:27:16 -0400 (EDT)
From: =?utf-8?Q?Cl=C3=A9ment_Lassieur?= <clement@HIDDEN>
To: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Subject: Re: bug#70121: [PATCH] gnu: emacs-magit: Fix generation of autoloads.
In-Reply-To: <64e17caf531cefa38b6eddadf89021107efcff2c.1711986763.git.liliana.prikler@HIDDEN>
 (Liliana Marie Prikler's message of "Mon, 1 Apr 2024 17:50:26 +0200")
References: <CAJqVjv_kC33CGqKUD_Tf8264gnJPPy3ML61iGmD5nF_6QL4dBg@HIDDEN>
 <64e17caf531cefa38b6eddadf89021107efcff2c.1711986763.git.liliana.prikler@HIDDEN>
Date: Wed, 03 Apr 2024 12:27:13 +0200
Message-ID: <871q7m4u7y.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 70121
Cc: Jake <jforst.mailman@HIDDEN>, 70121 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Mon, Apr 01 2024, Liliana Marie Prikler wrote:

> * gnu/packages/emacs-xyz.scm (emacs-magit)[#:phases]: Replace =E2=80=98ma=
ke-autoloads=E2=80=99
> like the others.
>
> Fixes: Magit autoloads are missing <https://bugs.gnu.org/70121>
> ---

Hi,

Tested, looks good to me.




Information forwarded to bug-guix@HIDDEN:
bug#70121; Package guix. Full text available.

Message received at 70121 <at> debbugs.gnu.org:


Received: (at 70121) by debbugs.gnu.org; 1 Apr 2024 15:53:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 01 11:53:22 2024
Received: from localhost ([127.0.0.1]:51444 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rrJyM-0004mJ-Fk
	for submit <at> debbugs.gnu.org; Mon, 01 Apr 2024 11:53:22 -0400
Received: from mail-ed1-x543.google.com ([2a00:1450:4864:20::543]:49286)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1rrJyJ-0004m6-UZ
 for 70121 <at> debbugs.gnu.org; Mon, 01 Apr 2024 11:53:21 -0400
Received: by mail-ed1-x543.google.com with SMTP id
 4fb4d7f45d1cf-56bdf81706aso5089738a12.2
 for <70121 <at> debbugs.gnu.org>; Mon, 01 Apr 2024 08:53:16 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1711986791; x=1712591591; darn=debbugs.gnu.org;
 h=cc:to:content-transfer-encoding:mime-version:subject:date:from
 :message-id:from:to:cc:subject:date:message-id:reply-to;
 bh=BTLTdKVTmCCj9Slt7oj1tzM2BahuTOgtsk/8k6etMjE=;
 b=j9HcjQgTypwX+kGjd/npQKljzm546NI4gKD2tPBLFfiEjNkzjcJM0m8YloPmBDZFTB
 //ZMIXVPn3WS6Nqai/VQND5Cvt9cC33TrXGbGh/dII5TRNDbbzBIpammwyEYav31r3ai
 lDMXiGrmzulJnSDBjtcIQ6ndkrwceKOXHPAKD6BEyf2Y0EfyLt7Ewn+CbBOuND5OGi8x
 2b5mq1+ysqdhFZxTVJ1XGYm/bSbPL/Dw1QXqHH8eliJ/4FI3Po9r56Km8VaZYHpmnzlu
 lwjV89VfPJZw8zyfHoUiGEUonlGFA5Ak6L851qYtXyEI5UJB7rmmBsyJ1A6liud/UyM9
 b/lg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1711986791; x=1712591591;
 h=cc:to:content-transfer-encoding:mime-version:subject:date:from
 :message-id:x-gm-message-state:from:to:cc:subject:date:message-id
 :reply-to;
 bh=BTLTdKVTmCCj9Slt7oj1tzM2BahuTOgtsk/8k6etMjE=;
 b=MHIWZv2lPzrzQyLSgcOUS7YAk2WzgDeA8bxP3cTEMfVNaXdjwsvrARhc+bkybkxJ1H
 Xxab5hI2A8dskwwMQAlKMVoeD89WXEa288aiahpWrKO34iS6LQw1UwkLxGJ+HcqcUl5R
 BveLzU05PsaRzuPf1ULN7VW+HOkCH7hh/U+Py5AP+oTr32V7O5ovhfpv/NtlSE0z2DR6
 1xM6lHPazlLwsq9HxdBRj3tQzRBNAea0Y/JFEFhxr8HNQuWE7j8ue9INl5TmfmanMebY
 nJGPC9epaC/h0+nxQTLvcHrAUdfDotYLiBfFJx/+bYffnSs89SqGBqUyhx4GdqOIfBJF
 GKDA==
X-Gm-Message-State: AOJu0Yym7nPdtLFCRz++jQ8MnROrW3uBJxP5cl8lVPduBjEZlkDTQUlY
 ej8hFye/2uo7Vloal6aCaEtqXdvZ50ITPPlbENCNVhX+qD4qWRtk589N8yN5ieI=
X-Google-Smtp-Source: AGHT+IG+iaFiUf+sq0D0tECU+cQoN1mbJqy1I2rFZIxIu+dBwfcqwo9Butbn13KG0Ko0oBR/8LSihQ==
X-Received: by 2002:a17:906:3e14:b0:a4e:f84:41aa with SMTP id
 k20-20020a1709063e1400b00a4e0f8441aamr5898176eji.67.1711986790507; 
 Mon, 01 Apr 2024 08:53:10 -0700 (PDT)
Received: from lumine.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93]) by smtp.gmail.com with ESMTPSA id
 h9-20020a1709060f4900b00a472c4b9486sm5414857ejj.84.2024.04.01.08.53.09
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 01 Apr 2024 08:53:10 -0700 (PDT)
Message-ID: <64e17caf531cefa38b6eddadf89021107efcff2c.1711986763.git.liliana.prikler@HIDDEN>
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Date: Mon, 1 Apr 2024 17:50:26 +0200
Subject: [PATCH] gnu: emacs-magit: Fix generation of autoloads.
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
to: 70121 <at> debbugs.gnu.org
X-Spam-Score: 2.1 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/emacs-xyz.scm (emacs-magit)[#:phases]: Replace
    ‘make-autoloads’ like the others. Fixes: Magit autoloads are missing
   <https://bugs.gnu.org/70121> --- gnu/packages/emacs-xyz.scm | 4 ++++ 1 file
    changed, 4 insertions(+) 
 
 Content analysis details:   (2.1 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (liliana.prikler[at]gmail.com)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [2a00:1450:4864:20:0:0:0:543 listed in]
                             [list.dnswl.org]
  2.1 MALFORMED_FREEMAIL     Bad headers on message from free email
                             service
X-Debbugs-Envelope-To: 70121
Cc: Jake <jforst.mailman@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.1 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/emacs-xyz.scm (emacs-magit)[#:phases]: Replace
    ‘make-autoloads’ like the others. Fixes: Magit autoloads are missing
   <https://bugs.gnu.org/70121> --- gnu/packages/emacs-xyz.scm | 4 ++++ 1 file
    changed, 4 insertions(+) 
 
 Content analysis details:   (1.1 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [2a00:1450:4864:20:0:0:0:543 listed in]
                             [list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (liliana.prikler[at]gmail.com)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  2.1 MALFORMED_FREEMAIL     Bad headers on message from free email
                             service
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

* gnu/packages/emacs-xyz.scm (emacs-magit)[#:phases]: Replace ‘make-autoloads’
like the others.

Fixes: Magit autoloads are missing <https://bugs.gnu.org/70121>
---
 gnu/packages/emacs-xyz.scm | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/gnu/packages/emacs-xyz.scm b/gnu/packages/emacs-xyz.scm
index 975b26813a..f47f5fcb8a 100644
--- a/gnu/packages/emacs-xyz.scm
+++ b/gnu/packages/emacs-xyz.scm
@@ -1668,6 +1668,10 @@ (define-public emacs-magit
               (lambda args
                 (with-directory-excursion "lisp"
                   (apply (assoc-ref %standard-phases 'expand-load-path) args))))
+            (replace 'make-autoloads
+              (lambda args
+                (with-directory-excursion "lisp"
+                  (apply (assoc-ref %standard-phases 'make-autoloads) args))))
             (replace 'install
               (lambda args
                 (with-directory-excursion "lisp"

base-commit: 4d79a9cd6b5f0d8c5afbab0c6b70ae42740d5470
prerequisite-patch-id: c275e4e44896c8ab96e5cc9557ec5dc522d62fd0
prerequisite-patch-id: 1675bb658c90730025a744f7869a3566fb5cf41a
prerequisite-patch-id: 9c02fe03b70a5312cc982fd4b48e73e889a9afdf
-- 
2.41.0





Information forwarded to bug-guix@HIDDEN:
bug#70121; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 1 Apr 2024 03:33:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 31 23:33:55 2024
Received: from localhost ([127.0.0.1]:49259 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rr8Qk-00039c-To
	for submit <at> debbugs.gnu.org; Sun, 31 Mar 2024 23:33:55 -0400
Received: from lists.gnu.org ([2001:470:142::17]:54770)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jforst.mailman@HIDDEN>) id 1rr8Qi-00039M-90
 for submit <at> debbugs.gnu.org; Sun, 31 Mar 2024 23:33:52 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <jforst.mailman@HIDDEN>)
 id 1rr8QZ-00080I-HY
 for bug-guix@HIDDEN; Sun, 31 Mar 2024 23:33:43 -0400
Received: from mail-lj1-x22d.google.com ([2a00:1450:4864:20::22d])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <jforst.mailman@HIDDEN>)
 id 1rr8QY-0002AX-4l
 for bug-guix@HIDDEN; Sun, 31 Mar 2024 23:33:43 -0400
Received: by mail-lj1-x22d.google.com with SMTP id
 38308e7fff4ca-2d47a92cfefso43696221fa.1
 for <bug-guix@HIDDEN>; Sun, 31 Mar 2024 20:33:41 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1711942419; x=1712547219; darn=gnu.org;
 h=cc:to:subject:message-id:date:from:mime-version:from:to:cc:subject
 :date:message-id:reply-to;
 bh=+IqXN8YSmL8GLSET16YjireWDs+ckrqR1yefav8QKBs=;
 b=IwserL8+ucfYi5fpcD8jYrOIDgniNABQwbbWn0tmRtBgudwxiYG0WKI1V2Uv0jcdjH
 oKZ1hd7Vngb9Zn9nJCG4V1lOE4RgVDV+LoKuo0Pm4YanBh2Poa/AuafVD2CSjedBfsZR
 WLt8THz2iLpufyucCFy4CffpTmA+Np5y8Z9KjDRNKufx0/2gnKq5MEe2iILOtsvGLkdu
 vFUCiCNb7787lMNNGsJawHMxKdBno+PagFHI18K0sETw25N7yUOz73RNV4EtoQlN/1ko
 uNHkAzJSLJWcHcwKsX1UVuoGx3QK2uak7kI1FDMV0y7KUliqh1m7XUrpPdbrtEOEzAY6
 TLyQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1711942419; x=1712547219;
 h=cc:to:subject:message-id:date:from:mime-version:x-gm-message-state
 :from:to:cc:subject:date:message-id:reply-to;
 bh=+IqXN8YSmL8GLSET16YjireWDs+ckrqR1yefav8QKBs=;
 b=fTAakZbphw3TKSFLM6hR3rx9sAVA7X+ldJQ939ZjhkciTjX9pLUBdHaDhVDI9BOipP
 QrZtd4eeTwbt01JatvaNNHQS6k2rPjKK0FU+/CpLgSWUnV11p90F+jPzOL+nH6rXRF2H
 b5vqbWB3VZCQGmPmHTbz19QId0zetybiGN4JUhiNyj0puY5C9iTfgklq9OmSvSyUSX04
 RRNHubOAJbK1iUCMYI6sMLyhCHKiM3etlgQMZfoXV3h8LI77C8u6kxuFy1zxIy/Bvesn
 GBAj3HbS5S4y4WApJcCliGha9flLO0DeDHKsevA++zCn3ihKSY8Oahw3XxaGDHYtB//k
 hjew==
X-Gm-Message-State: AOJu0YyRow5UzfOZ7v1reuiziE2+/0/7rtXF/5zZ8IlbydSN2ugNHb+b
 dmbHvgsgJFxvh3MkH7Ez2B/ZTsXnuWtI0/DtX15q0excUgueZzo5WQz3crWkbb6NMS77sgPF88V
 4MAwtkPFzN6zjCOIpYDcURCsfKlmaJeu0
X-Google-Smtp-Source: AGHT+IHSuve2I6rlr3+fVaqpjIX6765/WlDxzdJKakfLUC2wMHOMAjADDmS+h5vcbCEfCvyRB9ehVUxX9srzhqt7j9g=
X-Received: by 2002:a2e:3c05:0:b0:2d6:b8cf:58af with SMTP id
 j5-20020a2e3c05000000b002d6b8cf58afmr4363190lja.15.1711942418753; Sun, 31 Mar
 2024 20:33:38 -0700 (PDT)
MIME-Version: 1.0
From: Jake <jforst.mailman@HIDDEN>
Date: Mon, 1 Apr 2024 03:33:27 +0000
Message-ID: <CAJqVjv_kC33CGqKUD_Tf8264gnJPPy3ML61iGmD5nF_6QL4dBg@HIDDEN>
Subject: Magit autoloads missing in Emacs 29.3
To: bug-guix@HIDDEN
Content-Type: multipart/alternative; boundary="000000000000beee2a061500a7ea"
Received-SPF: pass client-ip=2a00:1450:4864:20::22d;
 envelope-from=jforst.mailman@HIDDEN; helo=mail-lj1-x22d.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 HTML_MESSAGE=0.001, RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: submit
Cc: liliana.prikler@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

--000000000000beee2a061500a7ea
Content-Type: text/plain; charset="UTF-8"

Hello

Since upgrading from Emacs 29.1 to 29.3, it seems like magit's autoload
definitions are not loaded.

To reproduce:

guix shell --pure emacs emacs-magit -- emacs -q --eval "(call-interactively
'magit)"

In Emacs 29.3 this gives me: Wrong type argument: commandp, magit

Thanks
Jake

--000000000000beee2a061500a7ea
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div>Hello<br></div><div><br></div><div>Since upgrading fr=
om Emacs 29.1 to 29.3, it seems like magit&#39;s autoload definitions are n=
ot loaded.<br></div><div><br></div><div>To reproduce:<br></div><div><a clas=
s=3D"gmail_plusreply" id=3D"m_8512673516749467384m_-2077698520387837208plus=
ReplyChip-0"><br></a></div><div>guix shell --pure emacs emacs-magit -- emac=
s -q --eval &quot;(call-interactively &#39;magit)&quot;</div><div><br></div=
><div>In Emacs 29.3 this gives me: Wrong type argument: commandp, magit</di=
v><div><br></div><div>Thanks</div><div>Jake<br></div></div>

--000000000000beee2a061500a7ea--




Acknowledgement sent to Jake <jforst.mailman@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#70121; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 3 Apr 2024 10:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.